Bug 427558 - mesa spec change to build on ia64
mesa spec change to build on ia64
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2008-01-04 13:07 EST by Doug Chapman
Modified: 2008-02-11 16:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 16:20:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Chapman 2008-01-04 13:07:42 EST
Description of problem:
We are in the process of bringing up fedora on ia64.  the mesa spec file needs a
small change to build.

Could you please change the line:
%ifarch s390 s390
to
%ifarch s390 s390x ia64

thanks,

- Doug


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Adam Jackson 2008-01-22 13:10:49 EST
No.  DRI is expected to work on ia64.

What's the build failure you're hitting?
Comment 2 Doug Chapman 2008-01-22 16:40:43 EST
ajax,

There is some x86 asm code that it is hitting.  Perhaps there is another way to
avoid this without just shutting off DRI support alltogether for mesa.

intel_tex.c: In function 'fastrdtsc':
intel_tex.c:108: error: unknown register name 'edx' in 'asm'
intel_tex.c:108: error: unknown register name 'ecx' in 'asm'
make[6]: *** [intel_tex.o] Error 1
make[6]: *** Waiting for unfinished jobs....


Comment 3 Adam Jackson 2008-02-11 15:51:21 EST
Alright, diked that code out for ia64 in mesa-7.1-0.9.fc9.  Try again please?
Comment 4 Doug Chapman 2008-02-11 16:20:17 EST
I get past this error now.  I hit new errors but I will file a new BZ for that
after I investigate.

thanks,

- Doug

Note You need to log in before you can comment on or make changes to this bug.